<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:cardBackgroundColor="@color/transparent"
    app:cardCornerRadius="8dp"
    app:cardElevation="0dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cardContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <View
            android:id="@+id/cardWhiteMask"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:alpha="0.8"
            android:background="@color/background"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/cardIv"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:actualImageScaleType="fitXY"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="h,1:2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/cardMask"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:alpha="0.4"
            android:background="@color/background_white_alpha_80"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="h,1:2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/cardGradientMask"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/home_slide_card_gradient_mask"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Group
            android:id="@+id/backgroundGroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            app:constraint_referenced_ids="cardIv,cardMask,cardGradientMask" />

        <LinearLayout
            android:id="@+id/textContainer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/gameIconStackIv1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginEnd="10dp">

            <TextView
                android:id="@+id/titleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:textColor="@color/text_title"
                android:textStyle="bold"
                tools:text="板块标题" />

            <TextView
                android:id="@+id/descTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:textColor="@color/text_subtitle"
                android:textSize="@dimen/little_secondary_size"
                tools:text="副标题" />
        </LinearLayout>

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconStackIv1"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:alpha="0.25"
            app:layout_constraintBottom_toBottomOf="@+id/gameIconStackIv2"
            app:layout_constraintEnd_toEndOf="@+id/gameIconStackIv2"
            app:layout_constraintTop_toTopOf="@+id/gameIconStackIv2" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconStackIv2"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:alpha="0.5"
            app:layout_constraintBottom_toBottomOf="@+id/gameIconStackIv3"
            app:layout_constraintEnd_toEndOf="@+id/gameIconStackIv3"
            app:layout_constraintTop_toTopOf="@+id/gameIconStackIv3" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconStackIv3"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginEnd="10dp"
            android:layout_marginRight="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconIv1"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="10dp"
            android:layout_marginLeft="10dp"
            android:layout_marginBottom="10dp"
            app:gameIconCornerRadius="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconIv2"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="4dp"
            android:layout_marginLeft="4dp"
            app:gameIconCornerRadius="6dp"
            app:layout_constraintBottom_toBottomOf="@+id/gameIconIv1"
            app:layout_constraintStart_toEndOf="@+id/gameIconIv1"
            app:layout_constraintTop_toTopOf="@+id/gameIconIv1" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIconIv3"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="4dp"
            android:layout_marginLeft="4dp"
            app:gameIconCornerRadius="6dp"
            app:layout_constraintBottom_toBottomOf="@+id/gameIconIv2"
            app:layout_constraintStart_toEndOf="@+id/gameIconIv2"
            app:layout_constraintTop_toTopOf="@+id/gameIconIv2" />

        <TextView
            android:id="@+id/countTv"
            android:layout_width="wrap_content"
            android:layout_height="14dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/bg_shape_background_space_2_radius_999"
            android:gravity="center"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/gameIconIv3"
            tools:text="99+" />

        <ImageView
            android:id="@+id/labelIv"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_marginEnd="10dp"
            android:layout_marginRight="10dp"
            android:layout_marginBottom="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.cardview.widget.CardView>